2019-10-21 17:34 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000752FSSCPgraphicspublic2010-12-09 15:09
ReporterNukebomb Overkill 
Assigned ToWMCoolmon 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.11 
Summary0000752: muzzelflash effect moves forward of the firing point as speed increases
Descriptioni was implementing muselflash into my mod and i noticed that when you use it on primary weapons, the point of emmition will move forward from the firing point a distance in direct proportion to the ships speed. so the faster you go, the further forward the flash is rendered. it was observed in this build: fs2_open_r-P420060126.exe
Additional Informationyou can probibly view this phenomenon by using cheats and selecting one of the flak guns.
--------------------------------------------
added from bug 0000928:

You can see the problem in this trailer:
http://www.game-warden.com/bsg/Video/BSG_AsteroidField.avi

Notw how the lasers spawn in the right place, but the muzzle got ahead of them. It works perfect for non-moving ships though.
TagsNo tags attached.
Attached Files

-Relationships
duplicate of 0002135resolvedWanderer Muzzle flashes not rendered in correct location when in glide mode. 
has duplicate 0001430resolvedtaylor Muzzle flashes don't stick to guns, appear in your face during maneuvers (very annoying) 
+Relationships

-Notes

~0005795

WMCoolmon (developer)

If you don't get around to it, go ahead and assign it to me. It's probably my fault anyway, I'm the one who made them move at the ship's velocity. ;)

~0009039

Backslash (developer)

I'm pretty sure this is fixed at this point. If you can confirm, we can mark this resolved.

~0009040

Nuke (reporter)

im still seeing it (using latest scripting build anyway). i can check it under the new trunk build and see if its gong on there.

~0009072

WMCoolmon (developer)

Am I supposed to look into this? The 'duplicate' bug is marked as fix.

~0009073

Nuke (reporter)

Last edited: 2008-03-30 08:14

i can confirm that its the same bug and i think that they should be merged or one deleted. however i disagree with the findings that the bug was fixed. i view it as a vector math error. i will attempt to use ascii art to explain what the bug is and that the behavior has not been changed.

this is the ship where the * represents the firing points

-*
\
===
/
-*

when the ship is not moving the flash renders at the +

-*+
\
===
/
-*+

however as the speed increases, you start to see this

-*---+
\
===
/
-*---+

i have seen this behavior in the moah build as well as in whatever build i was using when i first reported it.

now it has been argued that this is a feature and not a bug and that modders may want this behavior. in bug # 0001430, i posted a recommendation that the bug be fixed so that the velocity be neutral with the ship, and that an additive velocity flag be added which will add or subtract a velocity value from the particle so you can choose a local effect, a blast back or forward at a specifiable rate (a single number value specifying a velocity along the normal). this should please everybody.

~0009074

WMCoolmon (developer)

A toggle...Is that really necessary? Can't a muzzleflash just be a muzzleflash?

My guess is that my previous 'fix' to the code involved adding some kind of code to lock the flash to the ship, but there was old code that allowed you to assign a velocity to the muzzleflash...I just don't want to refix this if taylor's already gotten it fixed in his Xt builds.

~0009075

Nuke (reporter)

the real problem is the origin of the effect. the origin should be the firing point and it should not move with regards to the ship. what is happening is that the origin of the effect is moving based on how fast the ship is going.

i may have committed an error in my terminology. the problem has nothing to do with the velocity of the effect, just its point of origin. the point of origin will move forward along the gun normal depending on how fast the ship is going and this is the behavior i wish to have rectified.

with regards to the argument of the effects velocity, well naturally the effect should be a blast from the barrel with a forward velocity if its used as a muzzel flash.

but i wouldnt mind a +blob_velocity: tag in the muzzleflash.tbl (now that i think about it this has nothing to do with the bug) that would allow me to specifly a forward blast (if a positive value is given) or a reversed wind effect (if the value is a negative), and the speed be based on the magnitude of the vaule.

~0009078

Backslash (developer)

Wait, huh? I'm not seeing that at all. Far as I see, and tell from the code, the particle is being launched at the same speed as the fire point. I even slowed down time to make sure. Do you have a muzzle flash that isn't just the ones in the MediaVPs which show this? (I'm using the 3.6.10 mediavp betas and a trunk build.)

This did point out an interesting only somewhat related bug ... it looks like the very last frame of an animated particle suddenly flies at a different speed. It's hard to tell, but I think it becomes 'stationary' (compared to the moving ship). This is particularly apparent with the beam 'fireflies'. But this ends up being almost the exact opposite of what you describe, and hard to notice.

As for your 'blob velocity' idea... doesn't sound very hard to make. But I agree with both you and WMCoolmon that the basic muzzle flash should be tied to the fire point.

~0009080

taylor (administrator)

"Am I supposed to look into this? The 'duplicate' bug is marked as fix."

No, the duplicate is marked as a duplicate. It's status is "resolved", since it had a definite resolution (as a duplicate), but that has nothing to do with whether a bug is fixed or not.

"I just don't want to refix this if taylor's already gotten it fixed in his Xt builds."

I have updated particle code in there but I haven't touched anything related to the the muzzleflash issue. I did try at one point, but it only made the problem worse, not better.

~0012518

The_E (administrator)

Fixed by Wanderer's fix for Mantis 2135
+Notes

-Issue History
Date Modified Username Field Change
2006-01-27 16:12 Nukebomb Overkill New Issue
2006-05-27 03:45 taylor Additional Information Updated
2006-06-08 04:39 WMCoolmon Note Added: 0005795
2008-03-26 11:21 Backslash Note Added: 0009039
2008-03-26 13:10 Nuke Note Added: 0009040
2008-03-30 07:48 taylor Relationship added has duplicate 0001430
2008-03-30 07:59 WMCoolmon Note Added: 0009072
2008-03-30 08:13 Nuke Note Added: 0009073
2008-03-30 08:14 Nuke Note Edited: 0009073
2008-03-30 08:17 WMCoolmon Note Added: 0009074
2008-03-30 08:41 Nuke Note Added: 0009075
2008-03-30 10:22 Backslash Note Added: 0009078
2008-03-30 15:10 taylor Note Added: 0009080
2008-03-30 18:04 WMCoolmon Status new => assigned
2008-03-30 18:04 WMCoolmon Assigned To => WMCoolmon
2010-12-09 15:08 The_E Relationship added duplicate of 0002135
2010-12-09 15:09 The_E Note Added: 0012518
2010-12-09 15:09 The_E Status assigned => resolved
2010-12-09 15:09 The_E Fixed in Version => 3.6.11
2010-12-09 15:09 The_E Resolution open => fixed
+Issue History